<?php
/**
 * The default template for displaying single article content
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<?php if ( 'post' == get_post_type() ) : ?>
				<div class="entry-meta">
					<?php the_time(get_option('date_format')); ?>
				</div>
			<?php endif; ?>
			
		</header>

		<?php if ( is_search() ) : ?>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div>
		<?php else : ?>
			<div class="entry-content">
				<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'twentyeleven' ) . '</span>', 'after' => '</div>' ) ); ?>
			</div>
			<p class="author entry-meta"><?php echo ucwords(get_the_author()); ?></p>
		<?php endif; ?>
	</article>
