<?php
/**
 * The default template for displaying events
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
?>
<?php $location = get_post_custom_values('location');  ?>
<?php $s_date = get_post_custom_values('date-start');  ?>
<?php $e_date = get_post_custom_values('date-end');  ?>
<hgroup id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'twentyeleven' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
		<span class="location"><?php echo $location[0];  ?></span>
		<time datetime="<?php echo date('Y-m-d', strtotime(str_replace(',','',$s_date[0])));  ?>"><?php echo $s_date[0];  ?> - <?php echo $e_date[0];  ?></time>
</hgroup>