<?php
/*
Template Name: Community blog
*/
$template_id = 'blog-community';
?>

<?php get_header(); ?>
			<div  class="grid-9" role="main">
			<?php $the_query = new WP_Query( 'cat=1' ); ?>
			<?php  if ( $the_query->have_posts() ) : ?>
				<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
					<?php get_template_part( 'content', get_post_format() ); ?>
				<?php endwhile; ?>
			<?php else : ?>
				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'twentyeleven' ); ?></h1>
					</header>
					<div class="entry-content">
						<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'twentyeleven' ); ?></p>
					</div>
				</article>
			<?php endif; ?>
			<?php if (  $the_query->max_num_pages > 1 ) : ?>
				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php next_posts_link( ); ?></div>
					<div class="nav-next"><?php previous_posts_link(); ?></div>
				</div>
			<?php endif; ?>
			</div>
			<aside class="grid-3" >
				<h3>Archive</h3>
				 <?php wp_get_archives('type=monthly&limit=12'); ?>
				 <?php $the_query = new WP_Query( 'cat=4' ); ?>
			<?php  if ( $the_query->have_posts() ) : ?>
				<h3 class="events">Events</h3>
				<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
					<?php get_template_part( 'event', get_post_format() ); ?>
				<?php endwhile; ?>
			<?php endif; ?>
				 
			</aside>

<?php get_footer(); ?>