<?php
/**
 * The Template for displaying all single posts.
 */

get_header(); ?>

		<div id="primary" class="blog-article">
			
			<div  role="main" class="grid-9">
				
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content-single', 'single' ); ?>

					<nav id="nav-single">
						<span class="nav-previous"><?php previous_post_link( '%link', __( '<span class="meta-nav">&larr;</span> Previous', 'twentyeleven' ) ); ?></span>
						<span class="nav-next"><?php next_post_link( '%link', __( 'Next <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?></span>
					</nav>
					
					<?php comments_template( '', true ); ?>

				<?php endwhile; ?>

			</div><!-- main -->
			<aside class="grid-3">
				<a href="/community/app-developer-blog/">&lsaquo; Back to Blog</a>
				<h3>Archive</h3>
				 <?php wp_get_archives('type=monthly&limit=12'); ?>
				 <?php $the_query = new WP_Query( 'cat=4' ); ?>
				<?php  if ( $the_query->have_posts() ) : ?>
					<h3 class="events">Events</h3>
					<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
						<?php get_template_part( 'event', get_post_format() ); ?>
					<?php endwhile; ?>
				<?php endif; ?>
			</aside>
		</div><!-- #primary -->

<?php get_footer(); ?>