<?php
/*
Template Name: Resources child
*/
$template_id = 'child-resources';
?>

<?php get_header(); ?>

	<div class="grid-12">
		<div class="grid-3">
			<?php get_template_part('part', 'accordion-resources'); ?>
		</div>
		<div class="grid-9">
	 		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<article>
					<h1><?php wp_title(''); ?></h1>
					<?php the_content(); ?>
				</article>
			<?php endwhile; endif; ?>
                        <div class="pagelink"><?php wp_link_pages('before=<p><strong>Pages:</strong>'); ?></div>
			<div class="box-orange clearfix">
				<h3>We need your help!</h3>
				<a class="link-action-small" href="/community/submit-a-tutorial/">
					<span class="cta-left"></span>
					<span class="cta-center">Submit a tutorial</span>
					<span class="cta-right"></span>
				</a>
				<p>With your help, we can make this site grow to meet each developer's needs. Contribute by sharing your programming knowledge!</p>
			</div>
		</div>
	</div>

<?php get_footer(); ?>